org.omg.CORBA.portable

## Interface ValueFactory

-     public interface ValueFactory

  The ValueFactory interface is the native mapping for the IDL type CORBA::ValueFactory. The read_value() method is called by the ORB runtime while in the process of unmarshaling a value type. A user shall implement this method as part of implementing a type specific value factory. In the implementation, the user shall call is.read_value(java.io.Serializable) with a uninitialized valuetype to use for unmarshaling. The value returned by the stream is the same value passed in, with all the data unmarshaled.
  See Also:
    `ORB`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Serializable` | `read_value(InputStream is)` Is called by the ORB runtime while in the process of unmarshaling a value type.

- - ### Method Detail

    - #### read_value

          Serializable read_value(InputStream is)

      Is called by the ORB runtime while in the process of unmarshaling a value type. A user shall implement this method as part of implementing a type specific value factory.
      Parameters:
        `is` - an InputStream object--from which the value will be read.
      Returns:
        a Serializable object--the value read off of "is" Input stream.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.